Bug 739502 - ctdb init script must use tdbdump and tdbtool from tdb-tools
Summary: ctdb init script must use tdbdump and tdbtool from tdb-tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ctdb
Version: 5.7
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Sumit Bose
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 736112
TreeView+ depends on / blocked
 
Reported: 2011-09-19 10:03 UTC by Sumit Bose
Modified: 2013-01-08 07:29 UTC (History)
4 users (show)

Fixed In Version: ctdb-1.0.112-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-08 07:29:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0059 normal SHIPPED_LIVE ctdb bug fix update 2013-01-07 15:27:46 UTC

Description Sumit Bose 2011-09-19 10:03:22 UTC
Description of problem:

A conflict in the samba and the tdb-tools packages make is necessary to rename the binaries form tdb-tools. Since some of them are used by the ctdb start script it has to be updated to search for the tools under their new name.

Comment 1 RHEL Product and Program Management 2011-09-23 00:53:56 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 7 Justin Payne 2012-08-06 16:27:44 UTC
Verified in ctdb-1.0.112-2.el5:

[root@dash-03 ~]# grep ctdb /var/log/yum.log 
Aug 06 11:17:57 Installed: ctdb-1.0.112-1.el5.x86_64
Aug 06 11:22:13 Updated: ctdb-1.0.112-2.el5.x86_64
[root@dash-03 ~]# rpm -q ctdb
ctdb-1.0.112-2.el5
[root@dash-03 ~]# diff /etc/init.d/ctdb /root/ctdb
112,125d111
<       local TDBTOOL12_HAS_CHECK=`echo "help" | /usr/bin/tdbtool12 | grep check | wc -l`
< 
<       test x"$TDBTOOL12_HAS_CHECK" = x"1" && {
<               #
<               # Note tdbtool12 always exits with 0
<               #
<               local OK=`/usr/bin/tdbtool12 $PDBASE check | grep "Database integrity is OK" | wc -l`
<               test x"$OK" = x"1" || {
<                       return 1;
<               }
< 
<               return 0;
<       }
<

Comment 9 errata-xmlrpc 2013-01-08 07:29:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0059.html


Note You need to log in before you can comment on or make changes to this bug.